Package org.apache.torque.generator.source.transform.model

## Class PropertyAccessTest.TestClass

- java.lang.Object
- - org.apache.torque.generator.source.transform.model.PropertyAccessTest.TestBaseClass
  - - org.apache.torque.generator.source.transform.model.PropertyAccessTest.TestClass

- Enclosing class:
    PropertyAccessTest

      public static class PropertyAccessTest.TestClass
      extends PropertyAccessTest.TestBaseClass

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `_publicFieldStartingWithUnderscore` |
    `protected int` | `protectedIntField` |
    `Boolean` | `publicBooleanField` |
    `int` | `publicFieldEndingWiths` |
    `int` | `publicIntField` |
    `String[]` | `publicStringArrayField` |
    `Collection<String>` | `publicStringCollectionField` |
    `String` | `publicStringField` |
    `List<String>` | `publicStringListField` |
    `Queue<String>` | `publicStringQueueField` |
    `Set<String>` | `publicStringSetField` |
    `Vector<String>` | `publicStringVectorField` |

    - ### Fields inherited from class org.apache.torque.generator.source.transform.model.PropertyAccessTest.TestBaseClass

      `publicIntFieldFromBaseClass`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestClass()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getOnlyGetter()` |
    `String[]` | `getPublicStringArrayGetterWithoutSetter()` |
    `String[]` | `getPublicStringArraySetter()` |
    `Collection<String>` | `getPublicStringCollectionGetterWithoutSetter()` |
    `Collection<String>` | `getPublicStringCollectionSetter()` |
    `List<String>` | `getPublicStringListSetter()` |
    `Queue<String>` | `getPublicStringQueueSetter()` |
    `Set<String>` | `getPublicStringSetSetter()` |
    `Vector<String>` | `getPublicStringVectorSetter()` |
    `protected void` | `setProtectedIntSetter​(int value)` |
    `void` | `setPublicBooleanSetter​(Boolean value)` |
    `void` | `setPublicIntSetter​(int value)` |
    `void` | `setPublicSetterEndingWiths​(int value)` |
    `void` | `setPublicStringArraySetter​(String[] value)` |
    `void` | `setPublicStringArraySetterWithoutGetter​(String[] value)` |
    `void` | `setPublicStringCollectionSetter​(Collection<String> value)` |
    `void` | `setPublicStringCollectionSetterWithoutGetter​(Collection<String> value)` |
    `void` | `setPublicStringListSetter​(List<String> value)` |
    `void` | `setPublicStringQueueSetter​(Queue<String> value)` |
    `void` | `setPublicStringSetSetter​(Set<String> value)` |
    `void` | `setPublicStringSetter​(String value)` |
    `void` | `setPublicStringVectorSetter​(Vector<String> value)` |

    - ### Methods inherited from class org.apache.torque.generator.source.transform.model.PropertyAccessTest.TestBaseClass

      `setPublicIntSetterFromBaseClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protectedIntField

          protected int protectedIntField

    - #### publicIntField

          public int publicIntField

    - #### publicStringField

          public String publicStringField

    - #### publicBooleanField

          public Boolean publicBooleanField

    - #### publicStringArrayField

          public String[] publicStringArrayField

    - #### publicStringCollectionField

          public Collection<String> publicStringCollectionField

    - #### publicStringListField

          public List<String> publicStringListField

    - #### publicStringSetField

          public Set<String> publicStringSetField

    - #### publicStringQueueField

          public Queue<String> publicStringQueueField

    - #### publicStringVectorField

          public Vector<String> publicStringVectorField

    - #### publicFieldEndingWiths

          public int publicFieldEndingWiths

    - #### _publicFieldStartingWithUnderscore

          public int _publicFieldStartingWithUnderscore

  - ### Constructor Detail

    - #### TestClass

          public TestClass()

  - ### Method Detail

    - #### getOnlyGetter

          public int getOnlyGetter()

    - #### setProtectedIntSetter

          protected void setProtectedIntSetter​(int value)

    - #### setPublicIntSetter

          public void setPublicIntSetter​(int value)

      Overrides:
        `setPublicIntSetter` in class `PropertyAccessTest.TestBaseClass`

    - #### setPublicStringSetter

          public void setPublicStringSetter​(String value)

    - #### setPublicBooleanSetter

          public void setPublicBooleanSetter​(Boolean value)

    - #### setPublicStringArraySetter

          public void setPublicStringArraySetter​(String[] value)

    - #### getPublicStringArraySetter

          public String[] getPublicStringArraySetter()

    - #### setPublicStringArraySetterWithoutGetter

          public void setPublicStringArraySetterWithoutGetter​(String[] value)

    - #### getPublicStringArrayGetterWithoutSetter

          public String[] getPublicStringArrayGetterWithoutSetter()

    - #### setPublicStringCollectionSetter

          public void setPublicStringCollectionSetter​(Collection<String> value)

    - #### getPublicStringCollectionSetter

          public Collection<String> getPublicStringCollectionSetter()

    - #### setPublicStringCollectionSetterWithoutGetter

          public void setPublicStringCollectionSetterWithoutGetter​(Collection<String> value)

    - #### getPublicStringCollectionGetterWithoutSetter

          public Collection<String> getPublicStringCollectionGetterWithoutSetter()

    - #### setPublicStringListSetter

          public void setPublicStringListSetter​(List<String> value)

    - #### getPublicStringListSetter

          public List<String> getPublicStringListSetter()

    - #### setPublicStringSetSetter

          public void setPublicStringSetSetter​(Set<String> value)

    - #### getPublicStringSetSetter

          public Set<String> getPublicStringSetSetter()

    - #### setPublicStringQueueSetter

          public void setPublicStringQueueSetter​(Queue<String> value)

    - #### getPublicStringQueueSetter

          public Queue<String> getPublicStringQueueSetter()

    - #### setPublicStringVectorSetter

          public void setPublicStringVectorSetter​(Vector<String> value)

    - #### getPublicStringVectorSetter

          public Vector<String> getPublicStringVectorSetter()

    - #### setPublicSetterEndingWiths

          public void setPublicSetterEndingWiths​(int value)